Bug 243452 - Pirut doesn't solve dependencies
Pirut doesn't solve dependencies
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2007-06-08 15:30 EDT by Alberto
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-13 14:44:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alberto 2007-06-08 15:30:16 EDT
Description of problem:

Pirut or yum doesn't solve correctly the dependencies of some packets and after
installing them with no errors or warnings, applications don't load because of
broken dependencies. 

Version-Release number of selected component (if applicable):


How reproducible:

Each time I uninstall gnome-python2-gtkmozembed-2.14.3-3.fc7 

Steps to Reproduce:

I have listen-0.5-15.fc7.1.i386 and gnome-python2-gtkmozembed-2.14.3-3.fc7

1. uninstall with Pirut the packet gnome-python2-gtkmozembed-2.14.3-3.fc7. It
automatically uninstalls listen-0.5-15.fc7.1.i386.

2. Install listen-0.5-15.fc7.1.i386. No complains about gtkmozembed dependencies
but it's needed by Listen and Pirut knows that because has uninstalled it when
deleting gtkmozembed

3. Install gnome-python2-gtkmozembed-2.14.3-3.fc7 and Listen works again. 
Actual results:

I thinks is a BIG problem if you can't trust YUM or your packet manager in general!!

Expected results:

YUM or Pirut MUST be able to handle dependencies in the right way.
Comment 1 Thomas Antony 2007-06-13 04:33:25 EDT
I can confirm this on x86_64 with the packages azureus and ares2.
When i install those packages with yum, all dependencies are resolved.
Comment 2 Jeremy Katz 2007-06-13 14:44:50 EDT
This happens in a few cases where packages will have missing deps.  Should be
fixed with yum 3.2.1 when it's released the end of this week or the first of
next and it'll then go out as an F7 update

Note You need to log in before you can comment on or make changes to this bug.